// Code generated by protoc-gen-go. DO NOT EDIT.
// source: category_query.proto

package proto_buffer

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type ErrorQuery struct {
	Error                string   `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	Code                 int64    `protobuf:"varint,2,opt,name=code,proto3" json:"code,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ErrorQuery) Reset()         { *m = ErrorQuery{} }
func (m *ErrorQuery) String() string { return proto.CompactTextString(m) }
func (*ErrorQuery) ProtoMessage()    {}
func (*ErrorQuery) Descriptor() ([]byte, []int) {
	return fileDescriptor_4122b69173db9c9b, []int{0}
}

func (m *ErrorQuery) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ErrorQuery.Unmarshal(m, b)
}
func (m *ErrorQuery) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ErrorQuery.Marshal(b, m, deterministic)
}
func (m *ErrorQuery) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ErrorQuery.Merge(m, src)
}
func (m *ErrorQuery) XXX_Size() int {
	return xxx_messageInfo_ErrorQuery.Size(m)
}
func (m *ErrorQuery) XXX_DiscardUnknown() {
	xxx_messageInfo_ErrorQuery.DiscardUnknown(m)
}

var xxx_messageInfo_ErrorQuery proto.InternalMessageInfo

func (m *ErrorQuery) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func (m *ErrorQuery) GetCode() int64 {
	if m != nil {
		return m.Code
	}
	return 0
}

type Category struct {
	Uuid        string `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Description string `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	Status      bool   `protobuf:"varint,3,opt,name=status,proto3" json:"status,omitempty"`
	// Types that are valid to be assigned to OptionalParentCategory:
	//	*Category_ParentCategory
	OptionalParentCategory isCategory_OptionalParentCategory `protobuf_oneof:"optional_parent_category"`
	CreateAt               *timestamp.Timestamp              `protobuf:"bytes,5,opt,name=create_at,json=createAt,proto3" json:"create_at,omitempty"`
	UpdateAt               *timestamp.Timestamp              `protobuf:"bytes,6,opt,name=update_at,json=updateAt,proto3" json:"update_at,omitempty"`
	XXX_NoUnkeyedLiteral   struct{}                          `json:"-"`
	XXX_unrecognized       []byte                            `json:"-"`
	XXX_sizecache          int32                             `json:"-"`
}

func (m *Category) Reset()         { *m = Category{} }
func (m *Category) String() string { return proto.CompactTextString(m) }
func (*Category) ProtoMessage()    {}
func (*Category) Descriptor() ([]byte, []int) {
	return fileDescriptor_4122b69173db9c9b, []int{1}
}

func (m *Category) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Category.Unmarshal(m, b)
}
func (m *Category) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Category.Marshal(b, m, deterministic)
}
func (m *Category) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Category.Merge(m, src)
}
func (m *Category) XXX_Size() int {
	return xxx_messageInfo_Category.Size(m)
}
func (m *Category) XXX_DiscardUnknown() {
	xxx_messageInfo_Category.DiscardUnknown(m)
}

var xxx_messageInfo_Category proto.InternalMessageInfo

func (m *Category) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *Category) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *Category) GetStatus() bool {
	if m != nil {
		return m.Status
	}
	return false
}

type isCategory_OptionalParentCategory interface {
	isCategory_OptionalParentCategory()
}

type Category_ParentCategory struct {
	ParentCategory string `protobuf:"bytes,4,opt,name=parent_category,json=parentCategory,proto3,oneof"`
}

func (*Category_ParentCategory) isCategory_OptionalParentCategory() {}

func (m *Category) GetOptionalParentCategory() isCategory_OptionalParentCategory {
	if m != nil {
		return m.OptionalParentCategory
	}
	return nil
}

func (m *Category) GetParentCategory() string {
	if x, ok := m.GetOptionalParentCategory().(*Category_ParentCategory); ok {
		return x.ParentCategory
	}
	return ""
}

func (m *Category) GetCreateAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreateAt
	}
	return nil
}

func (m *Category) GetUpdateAt() *timestamp.Timestamp {
	if m != nil {
		return m.UpdateAt
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*Category) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*Category_ParentCategory)(nil),
	}
}

type CategoryResponse struct {
	Category             *Category   `protobuf:"bytes,1,opt,name=category,proto3" json:"category,omitempty"`
	Error                *ErrorQuery `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *CategoryResponse) Reset()         { *m = CategoryResponse{} }
func (m *CategoryResponse) String() string { return proto.CompactTextString(m) }
func (*CategoryResponse) ProtoMessage()    {}
func (*CategoryResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_4122b69173db9c9b, []int{2}
}

func (m *CategoryResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CategoryResponse.Unmarshal(m, b)
}
func (m *CategoryResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CategoryResponse.Marshal(b, m, deterministic)
}
func (m *CategoryResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CategoryResponse.Merge(m, src)
}
func (m *CategoryResponse) XXX_Size() int {
	return xxx_messageInfo_CategoryResponse.Size(m)
}
func (m *CategoryResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CategoryResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CategoryResponse proto.InternalMessageInfo

func (m *CategoryResponse) GetCategory() *Category {
	if m != nil {
		return m.Category
	}
	return nil
}

func (m *CategoryResponse) GetError() *ErrorQuery {
	if m != nil {
		return m.Error
	}
	return nil
}

type CategoriesResponse struct {
	Categories           []*Category `protobuf:"bytes,1,rep,name=categories,proto3" json:"categories,omitempty"`
	Error                *ErrorQuery `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *CategoriesResponse) Reset()         { *m = CategoriesResponse{} }
func (m *CategoriesResponse) String() string { return proto.CompactTextString(m) }
func (*CategoriesResponse) ProtoMessage()    {}
func (*CategoriesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_4122b69173db9c9b, []int{3}
}

func (m *CategoriesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CategoriesResponse.Unmarshal(m, b)
}
func (m *CategoriesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CategoriesResponse.Marshal(b, m, deterministic)
}
func (m *CategoriesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CategoriesResponse.Merge(m, src)
}
func (m *CategoriesResponse) XXX_Size() int {
	return xxx_messageInfo_CategoriesResponse.Size(m)
}
func (m *CategoriesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CategoriesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CategoriesResponse proto.InternalMessageInfo

func (m *CategoriesResponse) GetCategories() []*Category {
	if m != nil {
		return m.Categories
	}
	return nil
}

func (m *CategoriesResponse) GetError() *ErrorQuery {
	if m != nil {
		return m.Error
	}
	return nil
}

type QueryPaginationRequest struct {
	Page                 int64    `protobuf:"varint,1,opt,name=page,proto3" json:"page,omitempty"`
	Size                 int64    `protobuf:"varint,2,opt,name=size,proto3" json:"size,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *QueryPaginationRequest) Reset()         { *m = QueryPaginationRequest{} }
func (m *QueryPaginationRequest) String() string { return proto.CompactTextString(m) }
func (*QueryPaginationRequest) ProtoMessage()    {}
func (*QueryPaginationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_4122b69173db9c9b, []int{4}
}

func (m *QueryPaginationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QueryPaginationRequest.Unmarshal(m, b)
}
func (m *QueryPaginationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QueryPaginationRequest.Marshal(b, m, deterministic)
}
func (m *QueryPaginationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QueryPaginationRequest.Merge(m, src)
}
func (m *QueryPaginationRequest) XXX_Size() int {
	return xxx_messageInfo_QueryPaginationRequest.Size(m)
}
func (m *QueryPaginationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_QueryPaginationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_QueryPaginationRequest proto.InternalMessageInfo

func (m *QueryPaginationRequest) GetPage() int64 {
	if m != nil {
		return m.Page
	}
	return 0
}

func (m *QueryPaginationRequest) GetSize() int64 {
	if m != nil {
		return m.Size
	}
	return 0
}

type QueryByIdRequest struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *QueryByIdRequest) Reset()         { *m = QueryByIdRequest{} }
func (m *QueryByIdRequest) String() string { return proto.CompactTextString(m) }
func (*QueryByIdRequest) ProtoMessage()    {}
func (*QueryByIdRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_4122b69173db9c9b, []int{5}
}

func (m *QueryByIdRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QueryByIdRequest.Unmarshal(m, b)
}
func (m *QueryByIdRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QueryByIdRequest.Marshal(b, m, deterministic)
}
func (m *QueryByIdRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QueryByIdRequest.Merge(m, src)
}
func (m *QueryByIdRequest) XXX_Size() int {
	return xxx_messageInfo_QueryByIdRequest.Size(m)
}
func (m *QueryByIdRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_QueryByIdRequest.DiscardUnknown(m)
}

var xxx_messageInfo_QueryByIdRequest proto.InternalMessageInfo

func (m *QueryByIdRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

type QuerySearchRequest struct {
	Uuid                 string               `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	InitialCreationDate  *timestamp.Timestamp `protobuf:"bytes,2,opt,name=initial_creation_date,json=initialCreationDate,proto3" json:"initial_creation_date,omitempty"`
	FinalCreationDate    *timestamp.Timestamp `protobuf:"bytes,3,opt,name=final_creation_date,json=finalCreationDate,proto3" json:"final_creation_date,omitempty"`
	InitialChangeDate    *timestamp.Timestamp `protobuf:"bytes,4,opt,name=initial_change_date,json=initialChangeDate,proto3" json:"initial_change_date,omitempty"`
	FinalChangeDate      *timestamp.Timestamp `protobuf:"bytes,5,opt,name=final_change_date,json=finalChangeDate,proto3" json:"final_change_date,omitempty"`
	UuidParent           string               `protobuf:"bytes,6,opt,name=uuid_parent,json=uuidParent,proto3" json:"uuid_parent,omitempty"`
	Status               bool                 `protobuf:"varint,7,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *QuerySearchRequest) Reset()         { *m = QuerySearchRequest{} }
func (m *QuerySearchRequest) String() string { return proto.CompactTextString(m) }
func (*QuerySearchRequest) ProtoMessage()    {}
func (*QuerySearchRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_4122b69173db9c9b, []int{6}
}

func (m *QuerySearchRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QuerySearchRequest.Unmarshal(m, b)
}
func (m *QuerySearchRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QuerySearchRequest.Marshal(b, m, deterministic)
}
func (m *QuerySearchRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QuerySearchRequest.Merge(m, src)
}
func (m *QuerySearchRequest) XXX_Size() int {
	return xxx_messageInfo_QuerySearchRequest.Size(m)
}
func (m *QuerySearchRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_QuerySearchRequest.DiscardUnknown(m)
}

var xxx_messageInfo_QuerySearchRequest proto.InternalMessageInfo

func (m *QuerySearchRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *QuerySearchRequest) GetInitialCreationDate() *timestamp.Timestamp {
	if m != nil {
		return m.InitialCreationDate
	}
	return nil
}

func (m *QuerySearchRequest) GetFinalCreationDate() *timestamp.Timestamp {
	if m != nil {
		return m.FinalCreationDate
	}
	return nil
}

func (m *QuerySearchRequest) GetInitialChangeDate() *timestamp.Timestamp {
	if m != nil {
		return m.InitialChangeDate
	}
	return nil
}

func (m *QuerySearchRequest) GetFinalChangeDate() *timestamp.Timestamp {
	if m != nil {
		return m.FinalChangeDate
	}
	return nil
}

func (m *QuerySearchRequest) GetUuidParent() string {
	if m != nil {
		return m.UuidParent
	}
	return ""
}

func (m *QuerySearchRequest) GetStatus() bool {
	if m != nil {
		return m.Status
	}
	return false
}

func init() {
	proto.RegisterType((*ErrorQuery)(nil), "category_query.ErrorQuery")
	proto.RegisterType((*Category)(nil), "category_query.Category")
	proto.RegisterType((*CategoryResponse)(nil), "category_query.CategoryResponse")
	proto.RegisterType((*CategoriesResponse)(nil), "category_query.CategoriesResponse")
	proto.RegisterType((*QueryPaginationRequest)(nil), "category_query.QueryPaginationRequest")
	proto.RegisterType((*QueryByIdRequest)(nil), "category_query.QueryByIdRequest")
	proto.RegisterType((*QuerySearchRequest)(nil), "category_query.QuerySearchRequest")
}

func init() {
	proto.RegisterFile("category_query.proto", fileDescriptor_4122b69173db9c9b)
}

var fileDescriptor_4122b69173db9c9b = []byte{
	// 584 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x54, 0xcf, 0x4f, 0xdb, 0x30,
	0x18, 0x25, 0x0d, 0x94, 0xf6, 0x83, 0x15, 0x30, 0x0c, 0x45, 0xbd, 0x10, 0xe5, 0x80, 0xba, 0x4b,
	0x99, 0xd8, 0xb4, 0xed, 0xb8, 0x96, 0x0d, 0x6d, 0x3b, 0x4c, 0x9d, 0x37, 0x6d, 0xd2, 0x2e, 0x91,
	0x9b, 0xb8, 0xc1, 0x52, 0x89, 0x83, 0xe3, 0x1c, 0xca, 0x69, 0xff, 0x02, 0xff, 0xe4, 0xfe, 0x8e,
	0xc9, 0x3f, 0x12, 0x42, 0xa0, 0x14, 0xed, 0x66, 0x7f, 0xf9, 0xde, 0xf3, 0xfb, 0xfc, 0x9e, 0x03,
	0x07, 0x11, 0x91, 0x34, 0xe1, 0x62, 0x11, 0x5e, 0x15, 0x54, 0x2c, 0x86, 0x99, 0xe0, 0x92, 0xa3,
	0xde, 0xdd, 0x6a, 0xff, 0x28, 0xe1, 0x3c, 0x99, 0xd3, 0x13, 0xfd, 0x75, 0x5a, 0xcc, 0x4e, 0x24,
	0xbb, 0xa4, 0xb9, 0x24, 0x97, 0x99, 0x01, 0x04, 0x6f, 0x00, 0x3e, 0x0a, 0xc1, 0xc5, 0x37, 0xd5,
	0x8e, 0x0e, 0x60, 0x83, 0xaa, 0x9d, 0xe7, 0xf8, 0xce, 0xa0, 0x8b, 0xcd, 0x06, 0x21, 0x58, 0x8f,
	0x78, 0x4c, 0xbd, 0x96, 0xef, 0x0c, 0x5c, 0xac, 0xd7, 0xc1, 0x4d, 0x0b, 0x3a, 0x67, 0xf6, 0x2c,
	0xd5, 0x50, 0x14, 0x2c, 0xb6, 0x28, 0xbd, 0x46, 0x3e, 0x6c, 0xc5, 0x34, 0x8f, 0x04, 0xcb, 0x24,
	0xe3, 0xa9, 0xc6, 0x76, 0x71, 0xbd, 0x84, 0x0e, 0xa1, 0x9d, 0x4b, 0x22, 0x8b, 0xdc, 0x73, 0x7d,
	0x67, 0xd0, 0xc1, 0x76, 0x87, 0x5e, 0xc0, 0x4e, 0x46, 0x04, 0x4d, 0x65, 0x58, 0x0e, 0xe3, 0xad,
	0x2b, 0xf4, 0xa7, 0x35, 0xdc, 0x33, 0x1f, 0xaa, 0x83, 0xdf, 0x42, 0x37, 0x12, 0x94, 0x48, 0x1a,
	0x12, 0xe9, 0x6d, 0xf8, 0xce, 0x60, 0xeb, 0xb4, 0x3f, 0x34, 0x23, 0x0f, 0xcb, 0x91, 0x87, 0x3f,
	0xca, 0x91, 0x71, 0xc7, 0x34, 0x8f, 0xa4, 0x02, 0x16, 0x59, 0x6c, 0x81, 0xed, 0xd5, 0x40, 0xd3,
	0x3c, 0x92, 0xe3, 0x3e, 0x78, 0x5c, 0xcb, 0x27, 0xf3, 0xb0, 0xa1, 0x32, 0xb8, 0x86, 0xdd, 0x52,
	0x19, 0xa6, 0x79, 0xc6, 0xd3, 0x9c, 0xa2, 0xd7, 0xd0, 0xa9, 0xa6, 0x70, 0xf4, 0x39, 0xde, 0xb0,
	0xe1, 0x5c, 0x85, 0xa9, 0x3a, 0xd1, 0xcb, 0xd2, 0x87, 0x96, 0x95, 0xd6, 0x80, 0xdc, 0x5a, 0x66,
	0x3d, 0x0a, 0xfe, 0x38, 0x80, 0x2c, 0x11, 0xa3, 0x79, 0x75, 0xfc, 0x3b, 0x80, 0xa8, 0xaa, 0x7a,
	0x8e, 0xef, 0x3e, 0x2a, 0xa0, 0xd6, 0xfb, 0x1f, 0x12, 0xde, 0xc3, 0xa1, 0xde, 0x4f, 0x48, 0xc2,
	0x52, 0xa2, 0xee, 0x08, 0xd3, 0xab, 0x82, 0xe6, 0x52, 0xe5, 0x23, 0x23, 0x09, 0xd5, 0x17, 0xe0,
	0x62, 0xbd, 0x56, 0xb5, 0x9c, 0x5d, 0x57, 0xa1, 0x52, 0xeb, 0xe0, 0x18, 0x76, 0x35, 0xc3, 0x78,
	0xf1, 0x39, 0xae, 0x61, 0x9b, 0xd9, 0x0a, 0x6e, 0x5c, 0x40, 0xba, 0xf1, 0x3b, 0x25, 0x22, 0xba,
	0x78, 0xa4, 0x15, 0x7d, 0x85, 0xe7, 0x2c, 0x65, 0x92, 0x91, 0x79, 0xa8, 0xcd, 0x67, 0x3c, 0x0d,
	0x95, 0x95, 0xd5, 0x58, 0xcb, 0x4d, 0xdf, 0xb7, 0xc0, 0x33, 0x8b, 0xfb, 0x40, 0x24, 0x45, 0x5f,
	0x60, 0x7f, 0xc6, 0xd2, 0x7b, 0x6c, 0xee, 0x4a, 0xb6, 0x3d, 0x0d, 0x6b, 0x72, 0x55, 0xda, 0x2e,
	0x48, 0x9a, 0x50, 0xc3, 0xb5, 0xbe, 0x9a, 0xab, 0x54, 0xa6, 0x51, 0x9a, 0xeb, 0x1c, 0xf6, 0xac,
	0xae, 0x1a, 0xd3, 0xea, 0x17, 0xb1, 0x63, 0x54, 0xdd, 0xf2, 0x1c, 0xc1, 0x96, 0xba, 0x37, 0x9b,
	0x6d, 0xfd, 0x34, 0xba, 0x18, 0x54, 0x69, 0xa2, 0x2b, 0xb5, 0x57, 0xbb, 0x59, 0x7f, 0xb5, 0xa7,
	0x7f, 0x5b, 0xf0, 0xac, 0x0c, 0x92, 0xf9, 0x99, 0x4c, 0xa0, 0x73, 0xce, 0xd2, 0x58, 0x99, 0x89,
	0xfc, 0x66, 0x7c, 0x9a, 0x3e, 0xf7, 0xfd, 0xa5, 0xa9, 0xb4, 0x59, 0x0e, 0xd6, 0xd0, 0x2f, 0xd8,
	0x54, 0x8c, 0xa3, 0xf9, 0x1c, 0x1d, 0x3f, 0x48, 0x78, 0x2f, 0x7a, 0xfd, 0x60, 0x09, 0x6d, 0xed,
	0x91, 0x04, 0x6b, 0xe8, 0x27, 0x6c, 0x1b, 0xa9, 0x76, 0xc8, 0xd5, 0x72, 0x9f, 0xc6, 0x8b, 0xa1,
	0x6d, 0x22, 0x8a, 0x82, 0x07, 0x19, 0xef, 0xe4, 0xf7, 0x69, 0x9c, 0xe3, 0xde, 0xef, 0x6d, 0x6d,
	0x64, 0x38, 0x2d, 0x66, 0x33, 0x2a, 0xa6, 0x6d, 0xbd, 0x7b, 0xf5, 0x2f, 0x00, 0x00, 0xff, 0xff,
	0xe5, 0xde, 0x3e, 0x1b, 0x11, 0x06, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// CategoryQueryClient is the client API for CategoryQuery service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type CategoryQueryClient interface {
	FindById(ctx context.Context, in *QueryByIdRequest, opts ...grpc.CallOption) (*CategoryResponse, error)
	FindAll(ctx context.Context, in *QueryPaginationRequest, opts ...grpc.CallOption) (*CategoriesResponse, error)
	FindByParent(ctx context.Context, in *QueryByIdRequest, opts ...grpc.CallOption) (*CategoriesResponse, error)
	Search(ctx context.Context, in *QuerySearchRequest, opts ...grpc.CallOption) (*CategoriesResponse, error)
}

type categoryQueryClient struct {
	cc grpc.ClientConnInterface
}

func NewCategoryQueryClient(cc grpc.ClientConnInterface) CategoryQueryClient {
	return &categoryQueryClient{cc}
}

func (c *categoryQueryClient) FindById(ctx context.Context, in *QueryByIdRequest, opts ...grpc.CallOption) (*CategoryResponse, error) {
	out := new(CategoryResponse)
	err := c.cc.Invoke(ctx, "/category_query.CategoryQuery/FindById", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *categoryQueryClient) FindAll(ctx context.Context, in *QueryPaginationRequest, opts ...grpc.CallOption) (*CategoriesResponse, error) {
	out := new(CategoriesResponse)
	err := c.cc.Invoke(ctx, "/category_query.CategoryQuery/FindAll", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *categoryQueryClient) FindByParent(ctx context.Context, in *QueryByIdRequest, opts ...grpc.CallOption) (*CategoriesResponse, error) {
	out := new(CategoriesResponse)
	err := c.cc.Invoke(ctx, "/category_query.CategoryQuery/FindByParent", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *categoryQueryClient) Search(ctx context.Context, in *QuerySearchRequest, opts ...grpc.CallOption) (*CategoriesResponse, error) {
	out := new(CategoriesResponse)
	err := c.cc.Invoke(ctx, "/category_query.CategoryQuery/Search", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CategoryQueryServer is the server API for CategoryQuery service.
type CategoryQueryServer interface {
	FindById(context.Context, *QueryByIdRequest) (*CategoryResponse, error)
	FindAll(context.Context, *QueryPaginationRequest) (*CategoriesResponse, error)
	FindByParent(context.Context, *QueryByIdRequest) (*CategoriesResponse, error)
	Search(context.Context, *QuerySearchRequest) (*CategoriesResponse, error)
}

// UnimplementedCategoryQueryServer can be embedded to have forward compatible implementations.
type UnimplementedCategoryQueryServer struct {
}

func (*UnimplementedCategoryQueryServer) FindById(ctx context.Context, req *QueryByIdRequest) (*CategoryResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindById not implemented")
}
func (*UnimplementedCategoryQueryServer) FindAll(ctx context.Context, req *QueryPaginationRequest) (*CategoriesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindAll not implemented")
}
func (*UnimplementedCategoryQueryServer) FindByParent(ctx context.Context, req *QueryByIdRequest) (*CategoriesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindByParent not implemented")
}
func (*UnimplementedCategoryQueryServer) Search(ctx context.Context, req *QuerySearchRequest) (*CategoriesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Search not implemented")
}

func RegisterCategoryQueryServer(s *grpc.Server, srv CategoryQueryServer) {
	s.RegisterService(&_CategoryQuery_serviceDesc, srv)
}

func _CategoryQuery_FindById_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryByIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CategoryQueryServer).FindById(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/category_query.CategoryQuery/FindById",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CategoryQueryServer).FindById(ctx, req.(*QueryByIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CategoryQuery_FindAll_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryPaginationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CategoryQueryServer).FindAll(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/category_query.CategoryQuery/FindAll",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CategoryQueryServer).FindAll(ctx, req.(*QueryPaginationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CategoryQuery_FindByParent_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryByIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CategoryQueryServer).FindByParent(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/category_query.CategoryQuery/FindByParent",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CategoryQueryServer).FindByParent(ctx, req.(*QueryByIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CategoryQuery_Search_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QuerySearchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CategoryQueryServer).Search(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/category_query.CategoryQuery/Search",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CategoryQueryServer).Search(ctx, req.(*QuerySearchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _CategoryQuery_serviceDesc = grpc.ServiceDesc{
	ServiceName: "category_query.CategoryQuery",
	HandlerType: (*CategoryQueryServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "FindById",
			Handler:    _CategoryQuery_FindById_Handler,
		},
		{
			MethodName: "FindAll",
			Handler:    _CategoryQuery_FindAll_Handler,
		},
		{
			MethodName: "FindByParent",
			Handler:    _CategoryQuery_FindByParent_Handler,
		},
		{
			MethodName: "Search",
			Handler:    _CategoryQuery_Search_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "category_query.proto",
}
